curl --request POST \
--url https://use.hoop.dev/api/sessions/provision \
--header 'Content-Type: application/json' \
--data '
{
"connection": "pgdemo",
"user_email": "johnwick@bad.org",
"access_duration_sec": 123,
"approved_reviewers": [
"<string>"
],
"client_args": [
"<string>"
],
"correlation_id": "task-12345",
"env_vars": {},
"jira_fields": {},
"metadata": {},
"script": "<string>"
}
'{
"has_review": false,
"session_id": "5701046A-7B7A-4A78-ABB0-A24C95E6FE54",
"user_email": "johnwick@bad.org"
}curl --request POST \
--url https://use.hoop.dev/api/sessions/provision \
--header 'Content-Type: application/json' \
--data '
{
"connection": "pgdemo",
"user_email": "johnwick@bad.org",
"access_duration_sec": 123,
"approved_reviewers": [
"<string>"
],
"client_args": [
"<string>"
],
"correlation_id": "task-12345",
"env_vars": {},
"jira_fields": {},
"metadata": {},
"script": "<string>"
}
'{
"has_review": false,
"session_id": "5701046A-7B7A-4A78-ABB0-A24C95E6FE54",
"user_email": "johnwick@bad.org"
}Documentation Index
Fetch the complete documentation index at: https://mintlify.hoop.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
The request body resource
"pgdemo"
"johnwick@bad.org"
External workflow/task identifier that groups sessions belonging to the same logical run
"task-12345"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?